apk-index(8)

NAME

apk index - create repository index file from packages

SYNOPSIS

apk index [<options>...] packages...

DESCRIPTION

apk index creates a repository index from a list of package files. See apk-repositories(8) for more information on repository indicies.

Generally, the resulting index must be cryptographically signed before apk will accept it. See abuild-sign(1) for details.

OPTIONS

-d, --description TEXT
    Add a description to the index. Upstream, this is used to add version information based on the git commit SHA of aports HEAD at the time of index generation.

--merge
    Merge packages into the existing INDEX.

-o, --output FILE
    Output generated index to FILE.

--prune-origin
    Prune packages from the existing INDEX with same origin as any of the new packages during merge.

-x, --index INDEX
    Read an existing index from INDEX to speed up the creation of the new index by reusing data when possible.

--no-warnings
    Disable the warning about missing dependencies. This happens when A, depends on package B, that does not have a provider in the indexed repository.

--rewrite-arch ARCH
    Set all package's architecture to ARCH.

ENVIRONMENT

SOURCE_DATE_EPOCH
    Used as the build time for tar file headers in APKINDEX.tar.gz.